package com.usoftchina.bi.server.model.vo.configVo;

import java.io.Serializable;
import java.util.Date;

/*
数据源分组
图表分组
 */
public class GroupInfo implements Serializable {
    private int id;
    private String groupName;
    private int groupIndex;
    private int fatherId;
    private String createBy;
    private Date createDate;
    private Date updataDate;
    /**
     * 操作类型： add   delete  update
     */
    private String operate;

    public String getOperate() {
        return operate;
    }

    public void setOperate(String operate) {
        this.operate = operate;
    }

    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public String getGroupName() {
        return groupName;
    }

    public void setGroupName(String groupName) {
        this.groupName = groupName;
    }

    public int getGroupIndex() {
        return groupIndex;
    }

    public void setGroupIndex(int groupIndex) {
        this.groupIndex = groupIndex;
    }

    public int getFatherId() {
        return fatherId;
    }

    public void setFatherId(int fatherId) {
        this.fatherId = fatherId;
    }

    public String getCreateBy() {
        return createBy;
    }

    public void setCreateBy(String createBy) {
        this.createBy = createBy;
    }

    public Date getCreateDate() {
        return createDate;
    }

    public void setCreateDate(Date createDate) {
        this.createDate = createDate;
    }

    public Date getUpdataDate() {
        return updataDate;
    }

    public void setUpdataDate(Date updataDate) {
        this.updataDate = updataDate;
    }

    @Override
    public String toString() {
        return "GroupInfo{" +
                "id=" + id +
                ", groupName='" + groupName + '\'' +
                ", groupIndex=" + groupIndex +
                ", fatherId=" + fatherId +
                ", createBy='" + createBy + '\'' +
                ", createDate=" + createDate +
                ", updataDate=" + updataDate +
                '}';
    }
}
